## tightvnc 1.3.9

=== debian/changelog ===
tightvnc (1.3.9-6.4ubuntu1) trusty; urgency=medium

  * Add arm64 support.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Mar 2014 14:50:14 +0000

tightvnc (1.3.9-6.4) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control: update Build-Depends:
    - libjpeg62-dev -> libjpeg-dev transition (Closes: #644967)
  * debian/rules:
   - do not add useless config.sub/config.guess
   - remove generated makefiles
   - Fix FTBFS due to broken dpkg.  (Closes: #642768)
   - remove useless patch debian-changes-1.3.9-6.2

 -- Bill Allombert <ballombe@debian.org>  Thu, 07 Jun 2012 00:01:17 +0200

tightvnc (1.3.9-6.3) unstable; urgency=low

  * Non-maintainer upload.
  * Add Makefile and Xvnc/Makefile to dh_clean parameters. (Closes: #663566)

 -- Mònica Ramírez Arceda <monica@probeta.net>  Wed, 21 Mar 2012 10:55:32 +0100

tightvnc (1.3.9-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add support Renesas SH (Closes: #582340).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 11 Mar 2011 22:43:47 +0900

tightvnc (1.3.9-6.1) unstable; urgency=low

  * Non-maintainer upload.
    - Update to packaging format "3.0 (quilt)".
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): Update xutils to xutils-dev (important;
      Closes: #575865). Update to debhelper 7.1. Remove obsolete x-dev.
    - (Depends): Add ${misc:Depends}.
    - (Homepage): New field.
    - (Standards-Version): Update to 3.8.4.
    - (tightvncserver::Depends): Replace obsolete xbase-clients with
      x11-utils and xauth. The needed binaries xdpyinfo and xauth
      are used in Perl program /usr/bin/tightvncserver.
  * debian/copyright
    - Point to GPL-2.
  * debian/patches
    - (10, 20): Add new patches.
    - (30): Convert original MIPS patch to apply to current sources.
    - (tightvnc-ftbfs-mips.patch): Removed. See 30.
   * debian/*.{postrm,prerm}
    - Add "set -e".
    - Fix Lintian maintainer-script-without-set-e.
  * debian/rules
    - (CC): Add. Export variable for xmkmf(1).
    - (DH_COMPAT): Delete; use debian/compat.
    - (install): Correct tightvncpasswd.1x to tightvncpasswd.1.
    - (binary-arch): Remove empty directories.
  * debian/source/format
    - New file.
  * debian/watch
    - New file.
  * debian/tightvncserver.doc-base
    - New file.
  * debian/xtightvncviewer.menu
    - (section): Update obsolete Apps/Net to
      Applications/Network/Communication.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 13 May 2010 11:02:08 +0300

tightvnc (1.3.9-6) unstable; urgency=low

  * Applied patch for sparc that solves the problem that everything is
    mirrored on sparc. Thanks to Raúl Porcel <armin76@gentoo.org> for
    pointing out that this patch needs to be re-added.
  * Applied patch for GNU/kFreeBSD to fix socket handling problem.
    Closes: #500414. Thanks to "Diego Ongaro" <ongardie@gmail.com> for the
    patch.
  * Updated to use x11proto-dev instead of x-dev as build dependency.
    Closes: #515397.
  * Changed log directory from /usr/adm to /var/log. Closes: #500877.

 -- Ola Lundqvist <opal@debian.org>  Thu, 19 Nov 2009 21:46:00 +0100

tightvnc (1.3.9-5) unstable; urgency=low

  * Fix for the default xstartup to make gnome work. Closes: #476727.

 -- Ola Lundqvist <opal@debian.org>  Wed, 07 Oct 2009 18:39:34 +0200

tightvnc (1.3.9-4) unstable; urgency=low

  * Updated man path in build system.
    Xvnc/config/cf/svr3.cf
    Xvnc/config/cf/Imake.tmpl
  * Merged some code from 1.2.9 version in order to build properly on IA64.
    Closes: #483094. This changes some other minors things and also help build
    on Mipsel and hppa architecture.

 -- Ola Lundqvist <opal@debian.org>  Wed,  4 Jun 2008 08:17:28 +0200

tightvnc (1.3.9-3) unstable; urgency=low

  * Applied patch from Thiemo Seufer <ths@networkno.de> to make it build
    fine on mips and mipsel architecture, closes: #481444.

 -- Ola Lundqvist <opal@debian.org>  Sat, 17 May 2008 17:36:05 +0200

tightvnc (1.3.9-2) unstable; urgency=low

  * Now ships Vncviewer resources file, closes: #481274. Thanks to Ian
    Wienand <ianw@ieee.org> for the patch.

 -- Ola Lundqvist <opal@debian.org>  Thu, 15 May 2008 20:55:20 +0200

tightvnc (1.3.9-1) unstable; urgency=low

  * New upstream release.
    Closes: #424077, #434240.
    This new release corrects a number of known problems:
     - tightvncconnect no longer make Xtightvnc crash (closes: #422361)
     - Control|Shift + Click is now sent properly (closes: #173701)
     - No input starvation (closes: #218401)
     - No errors when connecting from WinXP (closes: #281702)
     - Default path correction (closes: #365593)
     - The problematic DEBUG statement no longer exists (closes: #374273)
     - No longer use raw encoding for ssh tunnels (closes: #423091)
  * Updated vncserver script to allow .vnc directory as symlink.
    Closes: #411187.
  * Corrected link to broken homepage, closes: #345368.
  * Now uses /etc/X11/Xsession as default x init script, closes: #378573.
  * Applied patch from Paul Brook <paul@nowt.org> to make it build on
    arm architecture, closes: #464797.
  * Applied patch from Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> to
    make it build on GNU/kFreeBSD, closes: #415611.
  * Dropped pre-depends on dpkg.

 -- Ola Lundqvist <opal@debian.org>  Sun, 23 Mar 2008 00:36:15 +0100

tightvnc (1.2.9-22) unstable; urgency=low

  * Removed dependency on vnc-common. Vncpasswd is now part of the
    tightvncserver package. This means that there are no dependency on other
    vnc packages anymore.

 -- Ola Lundqvist <opal@debian.org>  Tue,  4 Mar 2008 08:21:14 +0100

tightvnc (1.2.9-21) unstable; urgency=low

  * Applied patch from Jari Aalto <jari.aalto@cante.net> to make options
    be displayed in correct order in manpage, closes: #394833.

 -- Ola Lundqvist <opal@debian.org>  Sun, 19 Nov 2006 10:02:20 +0100

tightvnc (1.2.9-20) unstable; urgency=low

  * Removed patch to be able to set maxclients to 1000 instead of


=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

export CC = gcc

configure: config-stamp
config-stamp:
	dh_testdir
	# Add here commands to configure the package.
	CC=$(CC) xmkmf
	(cd Xvnc; CC=$(CC) xmkmf)
	(cd Xvnc; ./configure)
	#./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	#	--prefix=/usr \
	#	--mandir=\$${prefix}/share/man \
	#	--infodir=\$${prefix}/share/info \
	#	--localstatedir=/var \
	#	--with-installed-zlib \
	#	--with-x
	touch config-stamp

build-arch: config-stamp build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	# Build first things.
	$(MAKE) World
	# Build Xvnc
	(cd Xvnc; $(MAKE) World)

	lynx -dump debian/faq.html   | sed 's,file://.*/,,' > debian/faq.txt
	lynx -dump debian/start.html | sed 's,file://.*/,,' > debian/start.txt

	touch build-arch-stamp

build-indep: config-stamp  build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.
	#/usr/bin/docbook-to-man debian/vnc.sgml > vnc.1

	touch build-indep-stamp

build: build-arch build-indep

clean: 
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp config-stamp
	rm -f debian/faq.txt debian/start.txt

	xmkmf
	(cd Xvnc; xmkmf)
	# Add here commands to clean up after the build process.
	-rm -f config.log config.status config.cache
	[ -f Makefile ] || $(MAKE) distclean
	[ -f Makefile ] || $(MAKE) clean

	-(cd Xvnc; $(MAKE) clean)
	-(cd Xvnc/programs/Xserver; $(MAKE) clean)
	-find . -type f -a -name "*.o" | xargs rm -f {}
	-find . -type f -a -name "*.a" | xargs rm -f {}
	rm -f vncpasswd/vncpasswd vncconnect/vncconnect vncviewer/vncviewer
	rm -f vncpasswd/Makefile vncviewer/Makefile vncviewer/vncviewer._man
	rm -f vncconnect/Makefile libvncauth/Makefile

	#-rm Xvnc/programs/Xserver/*fb*/*.{c,h}
	#-rm Xvnc/programs/Xserver/Xvnc
	#-find . -type f -a -name Makefile -a ! -path '*Xvnc/Makefile' \
	#	-exec rm -f '{}' ';'
	-rmdir Xvnc/exports
	# Extra clean targets
	find Xvnc -name "Makefile" | grep -v Xvnc/Makefile | xargs rm -f
	-rm -f \
		Xvnc/config/cf/platform.def

	dh_clean Xvnc/xmakefile \
		Xvnc/config/cf/host.def \
		Xvnc/config/imake/Makefile.proto \
		Makefile \
		Xvnc/Makefile

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/vnc.
	#$(MAKE) install prefix=$(CURDIR)/debian/vnc/usr
#	mkdir -p $(CURDIR)/debian/tmp
#	./vncinstall $(CURDIR)/debian/tmp/
# tightvncpasswd
	install -o root -g root -m 755 vncpasswd/vncpasswd \
		$(CURDIR)/debian/tightvncserver/usr/bin/tightvncpasswd
	install -o root -g root -m 644 vncpasswd/vncpasswd.man \
		$(CURDIR)/debian/tightvncserver/usr/share/man/man1/tightvncpasswd.1
# tightvncserver
	install -o root -g root -m 755 Xvnc/programs/Xserver/Xvnc \
		$(CURDIR)/debian/tightvncserver/usr/bin/Xtightvnc
	install -o root -g root -m 755 vncserver \
		$(CURDIR)/debian/tightvncserver/usr/bin/tightvncserver
	install -o root -g root -m 755 vncconnect/vncconnect \
		$(CURDIR)/debian/tightvncserver/usr/bin/tightvncconnect
	install -o root -g root -m 644 vncserver.man \
		$(CURDIR)/debian/tightvncserver/usr/share/man/man1/tightvncserver.1
	install -o root -g root -m 644 vncconnect/vncconnect.man \
		$(CURDIR)/debian/tightvncserver/usr/share/man/man1/tightvncconnect.1
	install -o root -g root -m 644 Xvnc/programs/Xserver/Xvnc.man \
		$(CURDIR)/debian/tightvncserver/usr/share/man/man1/Xtightvnc.1

# libvncauth0
#	install -o root -g root -m 644 rfb/libvncauth.so.0.0 \
#		$(CURDIR)/debian/libvncauth0/usr/lib

# libvncauth-dev
	# Now moved to rfb dir.
	#install -o root -g root -m 644 include/* \
	#	$(CURDIR)/debian/libvncauth-dev/usr/include
#	install -o root -g root -m 644 rfb/libvncauth.a \
#		$(CURDIR)/debian/libvncauth-dev/usr/lib

# xtightvncviewer
	install -o root -g root -m 755 vncviewer/vncviewer \
		$(CURDIR)/debian/xtightvncviewer/usr/bin/xtightvncviewer
	install -o root -g root -m 644 vncviewer/Vncviewer \
		$(CURDIR)/debian/xtightvncviewer/etc/X11/app-defaults/Vncviewer
	install -o root -g root -m 644 vncviewer/vncviewer.man \
		$(CURDIR)/debian/xtightvncviewer/usr/share/man/man1/xtightvncviewer.1

#	dh_movefiles

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install

binary-indep-keep:
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
	dh_installcron -i
#	dh_installman -i
	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs  -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
	dh_installcron -a
#	dh_installman -a
	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs  -a
	# Remove empty directories
	rmdir $(CURDIR)/debian/tightvncserver/usr/share/man/man5 \
	      $(CURDIR)/debian/tightvncserver/usr/share/vncserver
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.tightvnc.com/download.php .*tightvnc-([\d.]+)_unixsrc.tar.gz

## tightvnc 1.3.10

=== Xvnc/Makefile ===
# $XConsortium: Makefile /main/36 1996/11/13 14:42:50 lehors $
# $XFree86: xc/Makefile,v 3.6.2.2 1998/02/07 00:44:32 dawes Exp $

# Luna users will need to either run make as "make MAKE=make"
# or add "MAKE = make" to this file.

RELEASE = "Release 6.3"
SHELL = /bin/sh
RM = rm -f
MV = mv
WORLDOPTS = -k
WIN32WORLDOPTS = -i
TOP = .
CURRENT_DIR = .
CONFIGSRC = $(TOP)/config
IMAKESRC = $(CONFIGSRC)/imake
DEPENDSRC = $(CONFIGSRC)/makedepend
DEPENDTOP = ../..
IMAKETOP = ../..
IRULESRC = $(CONFIGSRC)/cf
IMAKE = $(IMAKESRC)/imake
IMAKE_CMD = $(IMAKE) -I$(IRULESRC) $(IMAKE_DEFINES)
MAKE_OPTS = -f xmakefile
MAKE_CMD = $(MAKE) $(MAKE_OPTS)
FLAGS = $(MFLAGS) -f Makefile.ini BOOTSTRAPCFLAGS="$(BOOTSTRAPCFLAGS)"

all:
	@$(MAKE_CMD) xmakefile-exists || $(MAKE) all-initial
	@$(MAKE_CMD) $@

all-initial:
	@echo Please use make World, or on NT use nmake World.Win32.
	@echo Check the configuration parameters in the $(IRULESRC) directory,
	@echo and pass BOOTSTRAPCFLAGS if necessary.
	@echo Read the release notes carefully before proceeding.
	@echo Do not name your log file make.log or it will be deleted.

World:
	@echo ""
	@echo Building $(RELEASE) of the X Window System.
	@echo ""
	@case "x$(BOOTSTRAPCFLAGS)" in x) \
	echo I hope you checked the configuration parameters in $(IRULESRC) ; \
	echo to see if you need to pass BOOTSTRAPCFLAGS. ; \
	echo "" ; \
	;; esac;
	@date
	@echo ""
	@if [ ! -f $(IRULESRC)/host.def ]; then \
	    if [ ! -f $(TOP)/lib/Xt/Imakefile ]; then \
		echo "#define BuildServersOnly YES" > $(IRULESRC)/host.def; \
	    else \
		if [ ! -f $(TOP)/fonts/Imakefile ]; then \
		    echo "#define BuildFonts NO" > $(IRULESRC)/host.def; \
		else \
		    echo "" > $(IRULESRC)/host.def; \
		fi \
	    fi \
	fi
	cd $(IMAKESRC) && $(MAKE) $(FLAGS) clean
	$(MAKE) $(MFLAGS) Makefile.boot
	$(MAKE_CMD) $(MFLAGS) VerifyOS
	$(MAKE_CMD) $(MFLAGS) Makefiles
	$(MAKE_CMD) $(MFLAGS) clean BOOTSTRAPSUBDIRS=
	$(MAKE_CMD) $(MFLAGS) includes
	$(MAKE_CMD) $(MFLAGS) depend
	$(MAKE_CMD) $(MFLAGS) $(WORLDOPTS) World
	@echo ""
	@date
	@echo ""
	@echo Full build of $(RELEASE) of the X Window System complete.
	@echo ""

.PRECIOUS: Makefile

# This is just a sequence of bootstrapping steps we have to do.
# The steps are listed as separate targets so clearmake can wink in
# the Makefile.proto files.
Makefile.boot: imake.proto $(DEPENDSRC)/Makefile.proto depend.bootstrap $(IMAKESRC)/Makefile.proto imake.bootstrap

imake.proto:
	cd $(IMAKESRC) && $(MAKE) $(FLAGS)
	$(RM) $(DEPENDSRC)/Makefile.proto

$(DEPENDSRC)/Makefile.proto:
	$(IMAKE_CMD) -s $(DEPENDSRC)/Makefile.proto -f $(DEPENDSRC)/Imakefile -DTOPDIR=$(DEPENDTOP) -DCURDIR=$(DEPENDSRC)

depend.bootstrap:
	cd $(DEPENDSRC) && $(RM) -r Makefile Makefile.dep makedepend *.o bootstrap
	cd $(DEPENDSRC) && $(MAKE) -f Makefile.proto bootstrap

$(IMAKESRC)/Makefile.proto:
	$(IMAKE_CMD) -s $(IMAKESRC)/Makefile.proto -f $(IMAKESRC)/Imakefile -DTOPDIR=$(IMAKETOP) -DCURDIR=$(IMAKESRC)

imake.bootstrap:
	cd $(IMAKESRC) && $(MAKE) -f Makefile.proto bootstrapdepend
	cd $(IMAKESRC) && $(MAKE) $(FLAGS) bootstrap
	cd $(IMAKESRC) && $(MAKE) -f Makefile.proto all 
	-@if [ -f xmakefile ]; then set -x; \
	  $(RM) xmakefile.bak; $(MV) xmakefile xmakefile.bak; \
	  else exit 0; fi
	$(MAKE) $(MFLAGS) xmakefile

Makefile::
	$(MAKE) $(MFLAGS) xmakefile

xmakefile: Imakefile
	$(IMAKE_CMD) -s xmakefile -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)

World.Win32:
	@echo :
	@echo Building $(RELEASE) of the X Window System.
	@echo :
	@echo :
	-@if not exist $(IRULESRC)\host.def echo > $(IRULESRC)\host.def
	cd $(IMAKESRC)
	$(MAKE) -f Makefile.ini clean.Win32
	$(MAKE) -f Makefile.ini imake.exe
	cd ..\..
	-if exist xmakefile.bak del xmakefile.bak
	-if exist xmakefile ren xmakefile xmakefile.bak
	$(IMAKE:/=\) -s xmakefile -I$(IRULESRC) $(IMAKE_DEFINES) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)
	$(MAKE_CMD) $(MFLAGS) VerifyOS
	$(MAKE_CMD) $(MFLAGS) Makefiles
	$(MAKE_CMD) $(MFLAGS) clean
	cd $(CONFIGSRC)\util
	$(MAKE) mkdirhier.exe
	cd ..\..
	$(MAKE_CMD) $(MFLAGS) includes
	$(MAKE_CMD) $(MFLAGS) depend
	$(MAKE_CMD) $(MFLAGS) $(WIN32WORLDOPTS)
	@echo :
	@echo :
	@echo Full build of $(RELEASE) of the X Window System complete.
	@echo :

World.OS2:
	@echo :
	@echo Building $(RELEASE) of the X Window System on OS/2.
	@echo :
	@echo :
	-@if not exist $(IRULESRC)\host.def echo > $(IRULESRC)\host.def
	\indir $(IMAKESRC) $(MAKE) SHELL= -f Makefile.ini clean.os2
	\indir $(IMAKESRC) $(MAKE) SHELL= CC=gcc -f Makefile.ini imake.os2
	-if exist Makefile.bak del Makefile.bak
	-if exist Makefile ren Makefile Makefile.bak
	$(subst /,\,$(IMAKE)) -I$(IRULESRC) $(IMAKE_DEFINES) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)
	$(MAKE) $(MFLAGS) VerifyOS
	$(MAKE) $(MFLAGS) Makefiles
	$(MAKE) $(MFLAGS) clean
	$(MAKE) $(MFLAGS) includes
	$(MAKE) $(MFLAGS) depend
	$(MAKE) $(MFLAGS)  
	@echo :
	@echo :
	@echo Full build of $(RELEASE) of the X Window System complete.
	@echo :

# don't allow any default rules in this Makefile
.SUFFIXES:
# quiet "make" programs that display a message if suffix list empty
.SUFFIXES: .Dummy

# a copy of every rule that might be invoked at top level

clean:
	    $(MAKE_CMD) $@
dangerous_strip_clean:
	    $(MAKE_CMD) $@
depend:
	    $(MAKE_CMD) $@
Everything:
	    $(MAKE_CMD) $@
external.ln:
	    $(MAKE_CMD) $@
includes:
	    $(MAKE_CMD) $@
install.linkkit:
	    $(MAKE_CMD) $@
install.ln:
	    $(MAKE_CMD) $@
install.man:
	    $(MAKE_CMD) $@
install:
	    $(MAKE_CMD) $@
Makefiles:
	    $(MAKE_CMD) $@
man_keywords:
	    $(MAKE_CMD) $@
tags:
	    $(MAKE_CMD) $@
VerifyOS:
	    $(MAKE_CMD) $@

## tightvnc 1.3.9.1

=== debian/changelog ===
tightvnc (1:1.3.9.1-1+dde) unstable; urgency=medium

  * update

 -- Ola Lundqvist <opal@debian.org>  Thu, 15 Jul 2021 15:42:05 +0800

tightvnc (1:1.3.9.1-1+dde) unstable; urgency=high

  * Security upload
  * CVE-2014-6053: Check malloc() return value on client->server ClientCutText
    message.
  * CVE-2019-8287 (aka CVE-2018-20020): Fix heap out-of-bound write
    vulnerability inside structure in VNC client code.
  * CVE-2018-20021: CWE-835: Infinite loop vulnerability in VNC client code.
  * CVE-2018-20022: CWE-665: Improper Initialization vulnerability.
  * CVE-2018-7225: Uninitialized and potentially sensitive data could be
    accessed by remote attackers because the msg.cct.length in rfbserver.c was
    not sanitized.
  * CVE-2019-15678: LibVNCClient: ignore server-sent cut text longer than 1MB.
  * Extra patch similar to the fix for CVE-2019-15678: LibVNCClient: ignore
    server-sent reason strings longer than 1MB (see CVE-2018-20748/
    libvncserver).
  * CVE-2019-15679: rfbproto.c/InitialiseRFBConnection: Check desktop name
    length received before allocating memory for it and limit it to 1MB.
  * CVE-2019-15680: Fix null-pointer-deref issue in vncviewer/zlib.c.
  * CVE-2019-15681: rfbserver: don't leak stack memory to the remote.

 --  Tang Haixiang <tanghaixiang@uniontech.com>  Wed, 12 May 2021 14:08:13 +0800

tightvnc (1:1.3.9-9) unstable; urgency=high

  * Reverted the transition. Tigervnc is not ready for being a full
    replacement of tightvnc. Closes: #851935.

 -- Ola Lundqvist <opal@debian.org>  Fri, 27 Jan 2017 22:05:03 +0100

tightvnc (1.3.9+t-1) unstable; urgency=high

  * Made the package a transitional package to ensure tigervnc is installed
    as a replacement.

 -- Ola Lundqvist <opal@debian.org>  Sat, 07 Jan 2017 23:11:40 +0100

tightvnc (1.3.9-8) unstable; urgency=medium

  * Applied patch from Dann Frazier <dannf@debian.org> and
    Riku Voipio <riku.voipio@linaro.org> to make sure Xvnc
    do not crash on arm64. Closes: #769364.

 -- Ola Lundqvist <opal@debian.org>  Sun, 19 Jun 2016 13:19:37 +0200

tightvnc (1.3.9-7) unstable; urgency=medium

  * Applied a patch from upstream to fix a crash. Closes: #782620.

 -- Ola Lundqvist <opal@debian.org>  Sun, 24 Jan 2016 20:22:25 +0100

tightvnc (1.3.9-6.6) unstable; urgency=medium

  * Non-maintainer upload with the maintainer's permission.
  * Add patch from 1.3.10-0ubuntu2 by me for ppc64el support.
    (Closes: 788107)

 -- Lauri Kasanen <cand@gmx.com>  Thu, 08 Oct 2015 09:11:35 +0000

tightvnc (1.3.9-6.5) unstable; urgency=medium

  * Non-maintainer upload with maintainers permission.
  * Add patch from 1.3.9-6.4ubuntu1 by Colin Watson for arm64 support.
    (Closes: 767311)

 -- Peter Michael Green <plugwash@debian.org>  Wed, 29 Oct 2014 21:47:46 +0000

=== debian/control ===
Source: tightvnc
Section: x11
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>> 7.1), lynx, zlib1g-dev, libjpeg-dev, libxaw7-dev (>> 4.1.0), perl, xfonts-base, xutils-dev, libx11-dev, libxau-dev, libxext-dev, libxi-dev, libxkbfile-dev, libxmu-dev, libxt-dev, x11proto-core-dev
Homepage: http://www.tightvnc.com

Package: tightvncserver
Architecture: any
Provides: xserver, vnc-server
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, x11-common | xserver-common, x11-utils, xauth
Recommends: xfonts-base, x11-xserver-utils
Suggests: tightvnc-java
Description: virtual network computing server software
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 This package provides a server to which X clients can connect and the
 server generates a display that can be viewed with a vncviewer.
 .
 The difference between the tightvncserver and the normal vncserver is the
 data encoding, optimized for low bandwidth connections. If the client do not
 support jpeg or zlib encoding it can use the default one. Later versions of
 vncserver (> 3.3.3r2) support a new automatic encoding that should be equally
 good as the tightvnc encoding.
 .
 Note: This server does not support or need a display. You need a vncviewer to
 see something. However, this viewer may also be on a computer running other
 operating systems in the local net.

Package: xtightvncviewer
Architecture: any
Provides: vncviewer, vnc-viewer
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: xfonts-base
Suggests: tightvncserver, ssh
Description: virtual network computing client software for X
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 It is implemented in a client/server model. This package provides a client
 for X, with this you can connect to a vncserver somewhere in the network
 and display its content in a window. There are vncserver available for other
 operating systems.
 .
 The difference between the xtightvncviewer and the normal vncviewer is the
 data encoding, optimized for low bandwidth connections. If the client do not
 support jpeg or zlib encoding it can use the default one. Later versions of
 xvncviewer (> 3.3.3r2) support a new automatic encoding that should be equally
 good as the tightvnc encoding.

## tightvnc 1.3.10

=== debian/changelog ===
tightvnc (1:1.3.10-10) unstable; urgency=medium

  * Revert "d/control + d/rules: Force using gcc-15.", effectively bringing
    the changes of version 1:1.3.10-10~exp1 to unstable.

 -- Sven Geuer <sge@debian.org>  Mon, 18 Aug 2025 14:10:37 +0200

tightvnc (1:1.3.10-10~exp2) experimental; urgency=medium

  * d/control + d/rules: Force using gcc-15.

 -- Sven Geuer <sge@debian.org>  Sun, 17 Aug 2025 20:04:39 +0200

tightvnc (1:1.3.10-10~exp1) experimental; urgency=medium

  * d/rules:
    - Extend CFLAGS with -std=gnu90 instead of -fpermissive (Closes: #1097998).
    - Fix a comment.
  * d/p/*:
    - Remove unused -lcrypt from install-makefile-build-system.patch
      (Closes: #1102457).
    - Remove more-arm64-fixes.patch, its functionality is fully covered by
      configure-by-size-width-and-byte-order.patch.
    - Fix DEP-3 headers of CVE-2018-20021.patch, CVE-2018-20022.patch,
      CVE-2019-8287.patch and CVE-2019-15680.patch.
  * d/copyright:
    - In GPL-2+ license, replace GNU postal address by URL.
    - Bump Debian copyright years.
  * d/control: Bump Standards-Version to 4.7.2.

 -- Sven Geuer <sge@debian.org>  Fri, 15 Aug 2025 20:58:36 +0200

tightvnc (1:1.3.10-9) unstable; urgency=medium

  * d/p/install-makefile-build-system.patch:
    - Remove permission of implicit function declaration in favour of d/rules.
  * d/rules:
    - Modify CFLAGS to allow for implicit function declaration.
    - Extend CFLAGS with -fpermissive to allow for builds with GCC-14.
      This measure fixes bug #1075573. It was requested to not close the bug,
      thus no Closes tag here.
  * d/copyright: Update my email address to the d.o one.
  * d/control: Update my email address to the d.o one.
  * d/gbp.conf: Switch debian-branch to debian/unstable.

 -- Sven Geuer <sge@debian.org>  Fri, 05 Jul 2024 22:51:07 +0200

tightvnc (1:1.3.10-8) unstable; urgency=medium

  * Fix typo in Xvnc/programs/Xserver/mfb/Makefile (Closes: #1047359).
    - Update d/p/install-makefile-build-system.patch.
  * d/rules: Make use of execute_before/after_dh_command.
  * Allow for implicit function definitions (Closes: #1066337).
    - Update d/p/install-makefile-build-system.patch.
  * Bump years in d/copyright to 2024 where required.
  * Bump Standards-Version to 4.7.0; no more changes necessary.
  * d/salsa-ci.yml: Add variable SALSA_CI_DISABLE_BUILD_PACKAGE_ALL.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Tue, 23 Apr 2024 21:07:37 +0200

tightvnc (1:1.3.10-7) unstable; urgency=medium

  * Fix source name of link to Xvnc's man page alternative (Closes: #1030681).
    - Update d/tightvncserver.postinst.
  * Manage alternatives symlinks related to tightvncpasswd from the respective
    package (Closes: #1030820).
    - Update d/tightvncserver.postinst.
    - Update d/tightvncserver.prerm.
    - Introduce d/tightvncpasswd.postinst.
    - Introduce d/tightvncpasswd.prerm.
    - Update d/control.
  * Bump years in d/copyright to 2023 where required.
  * Bump Standards-Version to 4.6.2; no more changes necessary.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Thu, 09 Feb 2023 20:17:44 +0100

tightvnc (1:1.3.10-6) unstable; urgency=medium

  * Bump years in d/copyright to 2022 where required.
  * Bump Standards-Version to 4.6.1; no more changes necessary.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Wed, 26 Oct 2022 15:49:28 +0200

tightvnc (1:1.3.10-5) unstable; urgency=medium

  * Utilize dh_install and dh-exec instead of installing files explicitly
    in d/rules per override_dh_auto_install.
    - Add dh-exec to Build-Depends.
    - Introduce d/tightvncserver.install.
    - Introduce d/xtightvncviewer.install.
    - Remove d/tightvncserver.dirs.
    - Remove d/xtightvncviewer.dirs.
    - Remove override_dh_auto_install section from d/rules.
  * Split off tightvncpasswd as a package of its own and recommend it for
    xtightvncviewer (Closes: #598395).
    - Introduce d/tightvncpasswd.install.
    - Update d/tightvncserver.install.
    - Update tightvncserver's Depends.
    - Update xtightvncviewer's Recommends.
  * Fix buildd log scanner error pointer-trouble-at-implicit.
    - Update d/p/install-makefile-build-system.patch.
  * Remove the unsupported X resource userLogin from the manual page of
    xtightvncviewer.
    - Update d/p/vncviewer.man.patch.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Mon, 04 Oct 2021 08:40:52 +0200

tightvnc (1:1.3.10-4) unstable; urgency=medium

  * Bring the makefile based build system from experimental to unstable
    (Closes: #697062, #731496).
  * Remove the unsupported -user option from the manual page of
    xtightvncviewer (Closes: #542426, #674068).
  * Rename d/p/20-vncviewer--vncviewer.man.patch to d/p/vncviewer.man.patch.
  * Bump Standards-Version to 4.6.0; no more changes necessary.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sat, 28 Aug 2021 22:18:21 +0200

tightvnc (1:1.3.10-4~exp2) experimental; urgency=medium

  * Remove upstream's imake build system and all related patches.
    - Introduce remove-upstream-build-system.patch.
    - Remove 30-ftbfs-mips.patch.
    - Update debian-changes-1.3.9-6.1.patch.
    - Remove aarch64.patch.
    - Update ppc64el.patch.
    - Remove fix-deprecated_BSD+SVID-option.patch.
    - Remove no-stipple.patch.
    - Remove ftbfs-with-binutils-236.patch.
  * Introduce a patch holding the makefiles introduced with tightvnc
    1:1.3.10-3~exp1.
    - Create install-makefile-build-system.patch.
    - Remove debian/makefiles tree.
  * Remove imake support from d/rules.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Thu, 15 Jul 2021 19:01:54 +0200

tightvnc (1:1.3.10-4~exp1) experimental; urgency=medium

  * Reapply changes from 1:1.3.10-3~exp1 and 1:1.3.10-3~exp2.
  * Fix FTBFS with architecture hurd-i386 further. The previous fix
    did not suffice.
    - Update d/p/ftbfs-hurd-i386.patch.
  * Rework makefiles to allow for parallel execution of make.
  * Update d/rules.
    - Run dh_auto_build in parallel mode.


=== debian/control ===
--- 
+++ 
@@ -1,17 +1,43 @@
 Source: tightvnc
+Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
+Uploaders: Sven Geuer <sge@debian.org>,
 Section: x11
 Priority: optional
-Maintainer: Ola Lundqvist <opal@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>> 7.1), lynx, zlib1g-dev, libjpeg-dev, libxaw7-dev (>> 4.1.0), perl, xfonts-base, xutils-dev, libx11-dev, libxau-dev, libxext-dev, libxi-dev, libxkbfile-dev, libxmu-dev, libxt-dev, x11proto-core-dev
-Homepage: http://www.tightvnc.com
+Build-Depends: debhelper-compat (= 13),
+               dh-exec,
+               libjpeg-dev,
+               libx11-dev,
+               libxau-dev,
+               libxaw7-dev (>> 4.1.0),
+               libxext-dev,
+               libxi-dev,
+               libxkbfile-dev,
+               libxmu-dev,
+               libxt-dev,
+               lynx,
+               x11proto-core-dev,
+               xfonts-base,
+               zlib1g-dev,
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian-remote-team/tightvnc
+Vcs-Git: https://salsa.debian.org/debian-remote-team/tightvnc.git
+Homepage: https://www.tightvnc.com
 
 Package: tightvncserver
 Architecture: any
-Provides: xserver, vnc-server
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, x11-common | xserver-common, x11-utils, xauth
-Recommends: xfonts-base, x11-xserver-utils
-Suggests: tightvnc-java
+Provides: vnc-server,
+          xserver,
+Depends: tightvncpasswd (>= 1:1.3.10-7),
+         x11-common | xserver-common,
+         x11-utils,
+         xauth,
+         ${misc:Depends},
+         ${perl:Depends},
+         ${shlibs:Depends},
+Recommends: x11-xserver-utils,
+            xfonts-base,
+Suggests: tightvnc-java,
 Description: virtual network computing server software
  VNC stands for Virtual Network Computing. It is, in essence, a remote
  display system which allows you to view a computing `desktop' environment
@@ -33,10 +59,14 @@
 
 Package: xtightvncviewer
 Architecture: any
-Provides: vncviewer, vnc-viewer
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: xfonts-base
-Suggests: tightvncserver, ssh
+Provides: vnc-viewer,
+          vncviewer,
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Recommends: tightvncpasswd (>= 1:1.3.10-7),
+            xfonts-base,
+Suggests: ssh,
+          tightvncserver,
 Description: virtual network computing client software for X
  VNC stands for Virtual Network Computing. It is, in essence, a remote
  display system which allows you to view a computing `desktop' environment
@@ -53,3 +83,18 @@
  support jpeg or zlib encoding it can use the default one. Later versions of
  xvncviewer (> 3.3.3r2) support a new automatic encoding that should be equally
  good as the tightvnc encoding.
+
+Package: tightvncpasswd
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Replaces: tightvncserver (<< 1:1.3.10-7)
+Breaks: tightvncserver (<< 1:1.3.10-7)
+Description: virtual network computing password tool
+ VNC stands for Virtual Network Computing. It is, in essence, a remote
+ display system which allows you to view a computing `desktop' environment
+ not only on the machine where it is running, but from anywhere on the
+ Internet and from a wide variety of machine architectures.
+ .
+ This package provides the vncpasswd tool mandatory for the tightvncserver
+ and optional for the xtightvncviewer.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildtools.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Uncomment this to force a specific compiler, like 'gcc-9' or 'gcc-10'.
#export CC=gcc-10

# Make sure lintian does not complain about missing hardenings.
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Make sure the decades-old source code gets compiled by allowing implicit
# function declarations and by setting an early language standard.
export DEB_CFLAGS_MAINT_STRIP=-Werror=implicit-function-declaration
export DEB_CFLAGS_MAINT_APPEND=-std=gnu90

%:
	dh $@

# Remove files generated by execute_after_dh_auto_build.
execute_after_dh_auto_clean:
	$(RM) debian/faq.txt debian/start.txt

# Generate text files from html sources.
execute_after_dh_auto_build:
	LANGUAGE=en && lynx -dump debian/faq.html   | sed 's,file://.*/,,' > debian/faq.txt
	LANGUAGE=en && lynx -dump debian/start.html | sed 's,file://.*/,,' > debian/start.txt

=== debian/tests/control ===
Tests: test-vnc-connection
Depends: x11-xserver-utils,
         xfonts-base,
         xinit,
         xterm,
         @,
Restrictions: needs-root

=== debian/watch ===
version=4
opts=\
filenamemangle=s/.*tightvnc-([\d.]+)_unixsrc\.tar\.gz/tightvnc-$1.tar.gz/ \
https://www.tightvnc.com/download-old.php \
.*tightvnc-([\d.]+)_unixsrc\.tar\.gz
